﻿'------------------------------------------------------------------------------
' <auto-generated>
'     このコードはテンプレートから生成されました。
'
'     このファイルを手動で変更すると、アプリケーションで予期しない動作が発生する可能性があります。
'     このファイルに対する手動の変更は、コードが再生成されると上書きされます。
' </auto-generated>
'------------------------------------------------------------------------------

Imports System
Imports System.Data.Entity
Imports System.Data.Entity.Infrastructure

Namespace Models

    Partial Public Class AddressBookInfoEntities
        Inherits DbContext
    
        Public Sub New()
            MyBase.New("name=AddressBookInfoEntities")
            DataBase.Log = Sub(log) Console.WriteLine(log)
        End Sub
    
        Protected Overrides Sub OnModelCreating(modelBuilder As DbModelBuilder)
            Throw New UnintentionalCodeFirstException()
        End Sub
    
        Public Overridable Property Addresses() As DbSet(Of Address)
        Public Overridable Property Groups() As DbSet(Of Group)
    
    End Class

End Namespace
